Stop a run

Stop a run

Stop a running execution by ID.

POST/api/runs/{id}/stop
Path parameters
idnumberrequired

Path parameter: id

Request

curl
curl -X POST https://trickest.io/api/runs/{id}/stop \
  -H "Authorization: Bearer $TRICKEST_TOKEN"

Responses

202Run is stopping
successboolean
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.